Package weka.core

# Annotation Interface OptionMetadata

@Documented @Retention(RUNTIME) @Target(METHOD) public @interface OptionMetadata
Method annotation that can be used with scheme parameters to provide a nice display-ready name for the parameter, help information and command-line option details.

Version:
  $Revision: 15590 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `description`
  Description of this parameter.
  `String`
  `displayName`
  The nice GUI displayable name for this parameter

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `category`
  Optional category for the parameter.
  `boolean`
  `commandLineParamIsFlag`
  True if the command line version of this parameter is a flag (i.e.
  `String`
  `commandLineParamName`
  The name of the command line version of this parameter (without leading -).
  `String`
  `commandLineParamSynopsis`
  The synopsis to display on in the command line help for this parameter (e.g.
  `int`
  `displayOrder`
  The order (low to high), relative to other parameters, that this property should be displayed in the GUI and, if applicable, on the command line help

- ## Element Details

  - ### displayName

    String displayName
    The nice GUI displayable name for this parameter
    Returns:
      a nice displayable name

  - ### description

    String description
    Description of this parameter. Displayed as a tool tip and help in the GUI, and on the command line.
    Returns:
      the description text of this parameter

- - ### category

    String category
    Optional category for the parameter. GUI dialog can use this to group certain options for display in child dialogs
    Returns:
      the category for this option
    Default:
      ""

  - ### displayOrder

    int displayOrder
    The order (low to high), relative to other parameters, that this property should be displayed in the GUI and, if applicable, on the command line help
    Returns:
      the order (default 100)
    Default:
      100

  - ### commandLineParamName

    String commandLineParamName
    The name of the command line version of this parameter (without leading -). Note that this must be provided if this object will be edited by Weka's standard GenericObjectEditor (as configurations are copied via command-line options in order to avoid deep copying objects).
    Returns:
      the name of the command line version of this parameter
    Default:
      ""

  - ### commandLineParamIsFlag

    boolean commandLineParamIsFlag
    True if the command line version of this parameter is a flag (i.e. binary parameter).
    Returns:
      true if the command line version of this parameter is a flag
    Default:
      false

  - ### commandLineParamSynopsis

    String commandLineParamSynopsis
    The synopsis to display on in the command line help for this parameter (e.g. -Z ). Note that this must be provided if this object will be edited by Weka's standard GenericObjectEditor (as configurations are copied via command-line * options in order to avoid deep copying objects).
    Returns:
      the command line synopsis for this parameter
    Default:
      ""